#
# spec file for package python-jupyter_ipympl
#
# Copyright (c) 2018 SUSE LINUX GmbH, Nuernberg, Germany.
#
# All modifications and additions to the file contributed by third parties
# remain the property of their copyright owners, unless otherwise agreed
# upon. The license for this file, and modifications and additions to the
# file, is the same license as for the pristine package itself (unless the
# license for the pristine package is not an Open Source License, in which
# case the license is the MIT License). An "Open Source License" is a
# license that conforms to the Open Source Definition (Version 1.9)
# published by the Open Source Initiative.

# Please submit bugfixes or comments via http://bugs.opensuse.org/
#


%{?!python_module:%define python_module() python-%{**} python3-%{**}}
%bcond_with     test
Name:           python-jupyter_ipympl
Version:        0.2.1
%define labver  0.3.0
Release:        2.18
Summary:        Matplotlib Jupyter Extension
License:        BSD-3-Clause
Group:          Development/Languages/Python
Url:            https://github.com/matplotlib/jupyter-matplotlib
Source:         https://files.pythonhosted.org/packages/py2.py3/i/ipympl/ipympl-%{version}-py2.py3-none-any.whl
BuildRequires:  %{python_module devel}
BuildRequires:  %{python_module jupyter_ipywidgets >= 7.0.0}
BuildRequires:  %{python_module matplotlib >= 2.0.0}
BuildRequires:  %{python_module pip}
BuildRequires:  %{python_module setuptools}
BuildRequires:  %{python_module six}
BuildRequires:  fdupes
BuildRequires:  npm
BuildRequires:  python-rpm-macros
BuildRequires:  python3-jupyter_jupyterlab
BuildRequires:  python3-jupyter_notebook
BuildRequires:  python-backports.functools_lru_cache
Requires:       python-jupyter_ipywidgets >= 7.0.0
Requires:       python-matplotlib >= 2.0.0
Requires:       python-six
%ifpython2
Requires:       python3-jupyter_ipympl = %{version}
Requires:       python-backports.functools_lru_cache
%endif
BuildArch:      noarch

%python_subpackages

%description
Jupyter extension to display matplotlib plots in a widget.

%package     -n python3-jupyter_ipympl_jupyterlab
Summary:        Matplotlib JupyterLab Extension
Requires:       python3-jupyter_ipympl = %{version}
Requires:       python3-jupyter_jupyterlab

%description -n python3-jupyter_ipympl_jupyterlab
JupyterLab extension to display matplotlib plots in a widget.

After installation you must run:
jupyter labextension install @jupyter-widgets/jupyterlab-manager

%prep
%setup -c -T

%build
# not needed

%install
%python_expand pip%{$python_bin_suffix} install --root=%{buildroot} %{SOURCE0}

%python_expand %fdupes %{buildroot}%{$python_sitelib}
%{fdupes %{buildroot}%{_datadir}/jupyter/ %{buildroot}%{python3_sitelib}}

if [ "$(dirname %{_prefix}/etc/jupyter)" != "$(dirname %{_sysconfdir}/jupyter)" ]; then
mkdir -p %{buildroot}%{_sysconfdir}
mv %{buildroot}%{_prefix}/etc/jupyter %{buildroot}%{_sysconfdir}/jupyter
rm -d %{buildroot}%{_prefix}/etc
fi

cp %{buildroot}%{python_sitelib}/ipympl-%{version}.dist-info/LICENSE.txt .

%files %{python_files}
%{python_sitelib}/ipympl/
%{python_sitelib}/ipympl-%{version}.dist-info
%license %{python_sitelib}/ipympl-%{version}.dist-info/LICENSE.txt
%python3_only %{_datadir}/jupyter/nbextensions/jupyter-matplotlib
%python3_only %config %{_sysconfdir}/jupyter/nbconfig/notebook.d/jupyter-matplotlib.json

%files -n python3-jupyter_ipympl_jupyterlab
%license LICENSE.txt
%{_datadir}/jupyter/lab/extensions/jupyter-matplotlib-%{labver}.tgz

%changelog
* Thu Aug  2 2018 toddrme2178@gmail.com
- Update to 0.2.1
  * Use widget backend
  * Updated to use prefered methods for traitlets >= 4.1
* Wed Apr 25 2018 toddrme2178@gmail.com
- Update to version 0.1.1
  * Auto enable notebook extension
  * Fixup post-link
  * removing warnings from nbagg backend
* Thu Apr 19 2018 toddrme2178@gmail.com
- Switch to wheel for more reliable builds
* Mon Mar 12 2018 toddrme2178@gmail.com
- Initial version
